e107help.org Q&A
0 like 0 dislike
I have just upgrading my test enironment from e107 1.0.4 to 2.1.9. All seems to be working and I could sort any problems, The one plugin Corllete Lab Gallery keep on telling me the database structure need to be updated. i have run this a few times and no success, it keep on appearing. Do anybody know if the Corllete Lab Gallery work with version 2.1.9 or know how to get around this?

I am still running under php 5.x. When all is working with teh upgrade I will start testing on php 7.x
e107 version 1.0.4 and 2.1.9
closed with the note: Seems the problem have been resolved.
asked in Plugins by (43 points) 1 4 10
closed by

1 Answer

0 like 0 dislike

I also see with database utilities -> check database validaty the following:

  • sgallery
  • album_ustatus
  • Mismatch
  • Currently
    TINYINT(1) NOT NULL DEFAULT 1
    should be
    TINYINT(1) NOT NULL DEFAULT '1'

This might be the reason for the problem with the update. Just not sure how to fix it. Any suggestions will be appreciated.

answered by (43 points) 1 4 10
edited by
Thanks. It seems to have done the trick.
Welcome to e107 Q&A, where you can ask questions and receive answers from other members of the e107 community.
790 questions
1,194 answers
2,057 comments
923 users